// priority: 0

onEvent('recipes', event => {
    //removal
    removeRecipeByID(event, [
        MG('generator/heat'),
        M('metallurgic_infuser'),
		M("processing/uranium/reprocessing/from_plutonium"),
		M("processing/uranium/reprocessing/to_fuel"),
		M("electric_bow"),
    ])

    //teleportation core
    event.replaceInput({ id: M("teleportation_core") }, MC("diamond"), AE2("singularity"))
    event.replaceInput({ id: M("teleportation_core") }, M("alloy_atomic"), MC("diamond"))

    //heat generator
	event.shaped(MG("heat_generator"), [
		'ITI',
		'OFO',
		'III'
	], {
		I: MC("iron_ingot"),
		T: CR("fluid_tank"),
		O: M("ingot_osmium"),
		F: IF("machine_frame_supreme")
	})

    //metallurgic infuser
    event.shaped(M("metallurgic_infuser"), [
		'IBI',
		'OFO',
		'IBI'
	], {
		I: MC("iron_ingot"),
		B: MC("blast_furnace"),
		O: M("ingot_osmium"),
		F: IF("machine_frame_supreme")
	})

	//structural glass
	event.replaceInput({ id: M("structural_glass") }, M("ingot_steel"), TC("necrotic_bone"))

	//steel casing
	event.replaceInput({ id: M("steel_casing") }, F("#glass"), CM("nether_star_fragment"))
	event.replaceInput({ id: M("steel_casing") }, M("ingot_osmium"), IF("machine_frame_supreme"))

	//irradiated pellet
	event.recipes.mekanismCombining(M("reprocessed_fissile_fragment"), M("pellet_polonium"), M("pellet_plutonium"))
	event.recipes.mekanismCombining(M("reprocessed_fissile_fragment"), M("pellet_plutonium"), M("pellet_polonium"))

	//metallurgic infuser
    event.shaped(M("electric_bow"), [
		'AB ',
		'ACD',
		'AB '
	], {
		A: MC("string"),
		B: M("alloy_infused"),
		C: MC("bow"),
		D: M("energy_tablet"),
	})
})